Uncompress a compressed string

- « gztell

- gzwrite »

- PHP Manual
- Zlib Functions
- Uncompress a compressed string

# gzuncompress

(PHP 4 >= 4.0.1, PHP 5, PHP 7, PHP 8)

gzuncompress — Uncompress a compressed string

### Description

gzuncompress(string `$data`, int `$max_length` = 0): string|false

This function uncompress a compressed string.

### Parameters

`data`

  The data compressed by gzcompress().

`max_length`

  The maximum length of data to decode.

### Return Values

The original uncompressed data or `false` on error.

The function will return an error if the uncompressed data is more than 32768 times the length of the compressed input `data` or more than the optional parameter `max_length`.

### Examples

Example #1 gzuncompress() example

    <?php$compressed   = gzcompress('Compress me', 9);$uncompressed = gzuncompress($compressed);echo $uncompressed;?>

### See Also

- gzcompress() - Compress a string
- gzinflate() - Inflate a deflated string
- gzdeflate() - Deflate a string
- gzencode() - Create a gzip compressed string